Subject: Re: git-gui blame dividing by zero

From: Andy Parkins <[email-masked]>
Date: Thu, 5 Apr 2007 09:44:22 +0100

On Thursday 2007 April 05 09:33, Andy Parkins wrote:

> So; I think you've fixed a nasty bug, but that bug was only presenting
> because something else is messed up.  I'll poke around and see what I can
> discover (however, I don't understand tk so what I discover might be that I
> don't understand tk :-)).

Okay - got it.  Try this in the git repository:

 # this works
 $ git-gui blame HEAD templates/hooks--commit-msg
 $ cd templates
 # this doesn't work
 $ git-gui blame HEAD hooks--commit-msg
 # this works
 $ git-gui blame HEAD templates/hooks--commit-msg

The problem is that git-gui is calling git-cat-file to read the file, but 
git-cat-file expects a path from the repository root.  The current directory 
doesn't matter - you always have to type the path as if you're in the working 
dir root.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]